MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029746Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-05-08 18:522018-06-29 21:18
Reporterabv 
Assigned Toabv 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029746: Modeling Algorithms - declare Boolean operation classes in BRepAlgo package as deprecated
DescriptionAfter porting of the BRepProj_Projection to use BRepBuilderAPI_Section algorithm (see 0028599), old class BRepAlgo_Section is not used anymore throughout OCCT (except DRAW). It should be declared deprecated to prevent innocent users from using it without knowledge on existence of the better one.
The other BO classes in this package:
Fuse
Common
Cut
should be also declared as deprecated, as they are also not used in OCCT.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028599closedapn Replacement of old Boolean operations with new ones in BRepProj_Projection algorithm 

-  Notes
(0075921)
git (administrator)
2018-05-10 11:51

Branch CR29746 has been created by msv.

SHA-1: a9b6d5699041d48c01dc0fb9276fa98774560a3b


No new revisions were added by this update.
(0075929)
git (administrator)
2018-05-10 16:50

Branch CR29746 has been updated forcibly by msv.

SHA-1: fa2ff7499dad09f763ba81bde28de42ba26c3491
(0075933)
msv (developer)
2018-05-10 20:16

Please review the branch.
Test results are here http://jenkins-test-11.nnov.opencascade.com:8080/view/CR29746-master-msv/view/COMPARE/ [^]
(0075934)
kgv (developer)
2018-05-10 23:22

+Standard_DEPRECATED("this class is deprecated, use the same from BRepAlgoAPI")

Why message refers to the package instead of direct class name?

-class BRepAlgo_Section  : public BRepAlgo_BooleanOperation
+class
+Standard_DEPRECATED("this class is deprecated, use the same from BRepAlgoAPI")
+BRepAlgo_Section  : public BRepAlgo_BooleanOperation

I don't know what looks better, but probably putting "class Standard_DEPRECATED" on one line would be helpful for searching in future...
Fill free to ignore this comment.
> class Standard_DEPRECATED("This class is deprecated - UnitsAPI should be used instead") Quantity_Convert

+Standard_DISABLE_DEPRECATION_WARNINGS

Why is that needed here - are there some warning generated without this?
(0075937)
git (administrator)
2018-05-11 10:14

Branch CR29746 has been updated by msv.

SHA-1: 3674177710db971c114136cfd8490783ae7feabf


Detailed log of new commits:

Author: msv
Date: Fri May 11 10:14:29 2018 +0300

    # considering remarks

(0075938)
msv (developer)
2018-05-11 10:16

Please review again.
The macro to disable warning is put in the places where I observed the warning. I have compiled using Jenkins.
(0075942)
git (administrator)
2018-05-11 15:25

Branch CR29746 has been updated by kgv.

SHA-1: 5fae41da395a7cbbf100d2bd3d1008556e793627


Detailed log of new commits:

Author: kgv
Date: Fri May 11 15:24:47 2018 +0300

    # drop redundant changes

(0075943)
git (administrator)
2018-05-11 15:26

Branch CR29746_1 has been created by kgv.

SHA-1: b61e4d2376bfd36bcfcafca37d03de0af4aec616


Detailed log of new commits:

Author: msv
Date: Thu May 10 11:50:03 2018 +0300

    0029746: Modeling Algoriothms - declare Boolean operation classes in BRepAlgo package as deprecated
(0075945)
git (administrator)
2018-05-11 17:59

Branch CR29746 has been updated forcibly by kgv.

SHA-1: 3674177710db971c114136cfd8490783ae7feabf
(0075946)
kgv (developer)
2018-05-11 18:00

Please take the patch from branch CR29746.
(0075947)
git (administrator)
2018-05-11 18:00

Branch CR29746_1 has been deleted by kgv.

SHA-1: b61e4d2376bfd36bcfcafca37d03de0af4aec616
(0076147)
bugmaster (administrator)
2018-05-23 11:44

Combination -
OCCT branch : CR29746 SHA - fa2ff7499dad09f763ba81bde28de42ba26c3491
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18385.669999999784 / 18243.73999999987 [+0.78%]
Products
Total CPU difference: 7503.440000000055 / 7505.440000000054 [-0.03%]
Windows-64-VC10:
OCCT
Total CPU difference: 18064.291795998535 / 18049.78370299853 [+0.08%]
Products
Total CPU difference: 7677.38641369996 / 7697.713343999945 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076941)
git (administrator)
2018-06-23 13:56

Branch CR29746 has been deleted by kgv.

SHA-1: 3674177710db971c114136cfd8490783ae7feabf

- Related Changesets
occt: master 9ce99357
Timestamp: 2018-05-10 08:50:03
Author: abv
Committer: abv
Details ] Diff ]
0029746: Modeling Algoriothms - declare Boolean operation classes in BRepAlgo package as deprecated

The API classes in the package BRepAlgo providing access to old Boolean operations (Fuse, Common, Cut, Section) are marked as deprecated.
Corresponding classes from the package BRepAlgoAPI should be used instead.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Common.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Common.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Cut.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Cut.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Fuse.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Fuse.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Section.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Section.hxx Diff ] File ]
mod - src/BRepTest/BRepTest_TopologyCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-08 18:52 abv New Issue
2018-05-08 18:52 abv Assigned To => msv
2018-05-08 18:52 abv Relationship added child of 0028599
2018-05-10 10:10 msv Status new => assigned
2018-05-10 11:49 msv Summary Modeling Algoriothms - declare class BRepAlgo_Section as deprecated => Modeling Algoriothms - declare Boolean operation classes in BRepAlgo package as deprecated
2018-05-10 11:49 msv Description Updated View Revisions
2018-05-10 11:51 git Note Added: 0075921
2018-05-10 16:50 git Note Added: 0075929
2018-05-10 20:16 msv Note Added: 0075933
2018-05-10 20:16 msv Assigned To msv => kgv
2018-05-10 20:16 msv Status assigned => resolved
2018-05-10 20:16 msv Steps to Reproduce Updated View Revisions
2018-05-10 23:22 kgv Note Added: 0075934
2018-05-10 23:22 kgv Assigned To kgv => msv
2018-05-10 23:22 kgv Status resolved => assigned
2018-05-11 09:21 msv Summary Modeling Algoriothms - declare Boolean operation classes in BRepAlgo package as deprecated => Modeling Algorithms - declare Boolean operation classes in BRepAlgo package as deprecated
2018-05-11 10:14 git Note Added: 0075937
2018-05-11 10:16 msv Note Added: 0075938
2018-05-11 10:16 msv Assigned To msv => kgv
2018-05-11 10:16 msv Status assigned => resolved
2018-05-11 15:25 git Note Added: 0075942
2018-05-11 15:26 git Note Added: 0075943
2018-05-11 17:59 git Note Added: 0075945
2018-05-11 18:00 kgv Note Added: 0075946
2018-05-11 18:00 kgv Assigned To kgv => bugmaster
2018-05-11 18:00 kgv Status resolved => reviewed
2018-05-11 18:00 git Note Added: 0075947
2018-05-23 11:44 bugmaster Note Added: 0076147
2018-05-23 11:44 bugmaster Status reviewed => tested
2018-05-23 11:45 bugmaster Test case number => Not needed
2018-05-24 16:02 abv Changeset attached => occt master 9ce99357
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076941
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker